import { SubmitValue } from '@oinone/kunlun-engine';
import { WidgetSubjection } from '@oinone/kunlun-vue-widget';
import SmoothSignature from 'smooth-signature';
import { FormStringInputFieldWidget } from '../input';
export declare class FormStringSignatureFieldWidget extends FormStringInputFieldWidget {
    initialize(props: any): this;
    private smoothSignature;
    getSmoothSignature(): SmoothSignature | undefined;
    setSmoothSignature(smoothSignature: SmoothSignature): void;
    get showClearButton(): any;
    get clearButtonText(): any;
    get showSaveButton(): any;
    get saveButtonText(): any;
    get signatureFontColor(): any;
    get signatureBackGroundColor(): any;
    showPlaceholder: boolean;
    onStart(): void;
    onClear(): void;
    clearFormStringSignatureFieldSubject: WidgetSubjection<Record<string, unknown>>;
    onSaveSignature(): Promise<void>;
    submit(submitValue: SubmitValue): Promise<Record<string, unknown> | undefined>;
    mounted(): void;
    unmounted(): void;
}
